Summary:	Simple Bittorrent client
Name:		transmission
Version:	2.51
%define		subrel 3
Release:	%mkrel 1
Source0:	http://download.transmissionbt.com/files/%{name}-%{version}.tar.xz
Patch0:		transmission-2.21-fix-optflags.patch
Patch1:		transmission-2.51-desktop.patch
Patch2:		transmission-2.51-fix_xss_web_client.patch 
Patch3:		transmission-2.51-CVE-2012-6129.patch
License:	MIT and GPLv2
Group:		Networking/File transfer
URL:		http://www.transmissionbt.com/
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	qt4-devel >= 4:4.6.0
BuildRequires:	bzip2
BuildRequires:	openssl-devel
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	libcurl-devel
BuildRequires:	libnotify-devel
BuildRequires:	libevent-devel
BuildRequires:	intltool
BuildRequires:	libdbus-glib-devel
BuildRequires:	pkgconfig(libcanberra-gtk)

%description
Transmission is a free, lightweight BitTorrent client. It features a 
simple, intuitive interface on top of an efficient back-end.

%package common
Summary:	Common files for Transmission Bittorrent client
Group:		Networking/File transfer
Conflicts:	transmission < 1.74

%description common
Transmission is a free, lightweight BitTorrent client. This package
contains the common files used by the different front-ends.


%package cli
Summary:	Command line interface for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}
Conflicts:	transmission < 1.74

%description cli
Transmission is a free, lightweight BitTorrent client. This package
contains the command line interface front-end.


%package gtk
Summary:	GTK Interface for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}-gui = %{version}-%{release}
Obsoletes:	transmission < 1.74-1
# Old, unmaintained clients that used old wx: transmission is as good
# an upgrade path as any - AdamW 2008/12
Obsoletes:	BitTornado <= 0:0.3.18-4
Obsoletes:	bittorrent-gui <= 5.2.2-3

%description gtk
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top of an efficient back-end.

This package provides the GTK Interface.


%package qt4
Summary:	Qt4 Interface for Transmission BitTorrent client
Group:		Networking/File transfer
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name}-common = %{version}

%description qt4
Transmission is a simple BitTorrent client. It features a very simple,
intuitive interface (gui and command-line) on top on an efficient,
cross-platform back-end.

This package contains QTransmission, a QT4 based GUI for Transmission
loosely based on the GTK+ client.


%package daemon
Summary:	Qt4 Interface for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}

%description daemon
Transmission is a simple BitTorrent client. It features a very simple,
intuitive interface (gui and command-line) on top on an efficient,
cross-platform back-end.

This package contains the transmission-daemon.


%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

#Qt GUI
pushd qt
%qmake_qt4 qtr.pro
%make
pushd translations
for i in `ls *.ts`; do lrelease $i ; done
popd
popd

%install
%makeinstall_std
%find_lang %{name}-gtk

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 48 %{buildroot}/usr/share/pixmaps/transmission.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png 
convert -scale 32 %{buildroot}/usr/share/pixmaps/transmission.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{buildroot}/usr/share/pixmaps/transmission.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

#Qt GUI Installation
pushd qt
INSTALL_ROOT=%{buildroot}%{_prefix} make install
pushd translations
mkdir -p %{buildroot}%{_qt4_translationdir}
cp *.qm %{buildroot}%{_qt4_translationdir}
popd
popd


# Install transmission-qt.desktop manually as make install doesn't install it:
cp -a qt/transmission-qt.desktop %{buildroot}/%{_datadir}/applications/

%files common
%doc README NEWS AUTHORS
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/*

%files cli
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-create
%{_bindir}/%{name}-edit
%{_bindir}/%{name}-remote
%{_bindir}/%{name}-show
%{_mandir}/man1/%{name}-cli.1*
%{_mandir}/man1/%{name}-create.1*
%{_mandir}/man1/%{name}-edit.1*
%{_mandir}/man1/%{name}-remote.1*
%{_mandir}/man1/%{name}-show.1*

%files daemon
%{_bindir}/%{name}-daemon
%{_mandir}/man1/%{name}-daemon.1*

%files gtk -f %{name}-gtk.lang
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_mandir}/man1/%{name}-gtk.1*

%files qt4
%{_bindir}/%{name}-qt
%{_datadir}/applications/%{name}-qt.desktop
%{_mandir}/man1/%{name}-qt.1*
%{_qt4_translationdir}/*.qm


%changelog

* Mon Feb 25 2013 luigiwalser <luigiwalser> 2.51-1.3.mga2
+ Revision: 400325
- add patch from ubuntu to fix CVE-2012-6129

  + dams <dams>
    - add a patch to fix CVE-2012-4037 (mga#7590)
    - fix missing Qt translations (mga#6788) thanks to neoclust
    - new version 2.51

* Tue Feb 21 2012 ovitters <ovitters> 2.50-1.mga2
+ Revision: 211695
- new version
- build gtk+3.x client instead of gtk+2.x

* Sat Dec 24 2011 ovitters <ovitters> 2.42-2.mga2
+ Revision: 187200
- use transient notifications

* Thu Nov 10 2011 tmb <tmb> 2.42-1.mga2
+ Revision: 166350
- update to 2.42

* Mon Oct 10 2011 ovitters <ovitters> 2.41-1.mga2
+ Revision: 153606
- new version 2.41

* Mon Sep 19 2011 doktor5000 <doktor5000> 2.33-2.mga2
+ Revision: 145419
- add BuildRequire on canberra-gtk-devel to enable sound support

  + fwang <fwang>
    - new version 2.33

* Fri Jul 08 2011 dams <dams> 2.32-1.mga2
+ Revision: 120709
- Update to 2.32

* Mon Jun 13 2011 ahmad <ahmad> 2.31-1.mga2
+ Revision: 105529
- Update to 2.31
- Add BR dbus-glib-devel for dbus support

* Fri Apr 01 2011 dams <dams> 2.22-1.mga1
+ Revision: 79505
- Update to 2.22

* Sun Feb 27 2011 ahmad <ahmad> 2.21-1.mga1
+ Revision: 61217
- update to 2.21
- imported package transmission

